package cn.com.victorysoft.business.indicator.param;

import cn.com.victorysoft.business.sys.param.UnitMonthParam;
import cn.com.victorysoft.business.util.StringUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("层段合格率统计数据查询参数")
public class SectionRateSummaryParam extends UnitMonthParam {

    @ApiModelProperty("井型")
    private String wellType;

    public String getWellType() {
        return wellType;
    }

    public void setWellType(String wellType) {
        this.wellType = StringUtils.isNotEmpty(wellType) ? wellType : "all";
    }
}
